Truztcube Docs
API ReferenceAccess Levels

🆕 Subscribe organisation to service & access level

Subscribe an organisation to a specific service (NIN, BVN, etc) and access level.

POST/v1/access-levels/subscribe
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/access-levels/subscribe" \  -H "Content-Type: application/json" \  -d '{    "serviceId": "serv_123",    "accessLevelId": "al_123"  }'
{  "success": true,  "statusCode": 200,  "message": "Request processed successfully",  "timestamp": "2025-10-20T16:30:00.000Z",  "path": "/v1/auth/register",  "data": {    "id": "string",    "organisationId": "string",    "serviceId": "string",    "accessLevelId": "string",    "isActive": true,    "startsAt": "2019-08-24T14:15:22Z",    "endsAt": "2019-08-24T14:15:22Z",    "metadata": {},    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}